/[pcsx2_0.9.7]/auto_build_latest_upstream.sh
ViewVC logotype

Diff of /auto_build_latest_upstream.sh

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

--- auto_build_latest_upstream.sh	2010/09/09 17:10:43	96
+++ auto_build_latest_upstream.sh	2010/09/09 18:13:48	102
@@ -1,6 +1,20 @@
 #!/bin/bash
 . ./auto_defs.sh
 
+if [ "$1" != "" ] ; then
+        export OVERRIDE_TMP_BUILD_PATH="$1"
+        . ./auto_build_defs.sh
+fi
+
+export DISABLE_AUTO_TAG="0"
+
+if [ "$2" == "--no-auto-tag" ] ; then
+        DISABLE_AUTO_TAG="1"
+fi
+if [ "$3" == "--no-prebuild" ] ; then
+        DISABLE_PREBUILD="1"
+fi
+
 # output variables
 echo "---------------------------------------------------------------------------------------"
 echo "AUTO BUILD CONFIG:"
@@ -16,15 +30,21 @@
 echo
 echo "PERFORMING AUTOBUILD:"
 
-export DISABLE_AUTO_TAG="0"
-
-if [ "$1" == "--no-auto-tag" ] ; then
-        DISABLE_AUTO_TAG="1"
-fi
         
 
 # call auto prebuild
-"$downstream_export_location/auto_prebuild_latest_upstream.sh"
+if [ "$DISABLE_PREBUILD" == "0" ] ; then
+	if [ "$AUTO_PREBUILD_DONE" == "" ] ; then
+		"$downstream_export_location/auto_prebuild_latest_upstream.sh"
+		if [ "$AUTO_PREBUILD_DONE" != "true" ] ; then
+			echo "PREBUILD FAILED..."
+			exit 1
+		fi	
+	fi
+else
+echo "PREBUILD HAS BEEN DISABLED..."	
+echo	
+fi
 
 # START VISUAL STUDIO BUILD SUPPORT
 export BUILD_SUCCESS=0

 

  ViewVC Help
Powered by ViewVC 1.1.22